<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/4_World/Entities/Firearms/Pistol/FNX45.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.19.155390</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d0/dc3/_f_n_x45_8c_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">FNX45.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../d0/dc3/_f_n_x45_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno"><a class="line" href="../../de/d71/class_f_n_x45___base.html">    1</a></span><span class="keyword">class </span><a class="code hl_class" href="../../de/d71/class_f_n_x45___base.html">FNX45_Base</a> : <a class="code hl_class" href="../../d2/d5e/class_pistol___base.html">Pistol_Base</a></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span>{</div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno"><a class="line" href="../../de/d71/class_f_n_x45___base.html#aaa3cdbe8cbf5fa78c7f4bf4676af2f4d">    3</a></span>    <span class="keyword">override</span> <a class="code hl_class" href="../../dc/dd0/class_recoil_base.html">RecoilBase</a> <a class="code hl_function" href="../../de/d71/class_f_n_x45___base.html#aaa3cdbe8cbf5fa78c7f4bf4676af2f4d">SpawnRecoilObject</a>()</div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span>    {</div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span>        <span class="keywordflow">return</span> <span class="keyword">new</span> <a class="code hl_class" href="../../db/d3d/class_fnx45_recoil.html">Fnx45Recoil</a>(<span class="keyword">this</span>);</div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span>    }</div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span>        </div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span>    <span class="comment">//Debug menu Spawn Ground Special</span></div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno"><a class="line" href="../../de/d71/class_f_n_x45___base.html#a10e5be43dcc96faf98228c5ff7b8936e">    9</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../de/d71/class_f_n_x45___base.html#a10e5be43dcc96faf98228c5ff7b8936e">OnDebugSpawn</a>()</div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span>    {</div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span>        <a class="code hl_class" href="../../dc/d11/class_game_inventory.html">GameInventory</a> inventory = GetInventory();</div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span>        inventory.CreateInInventory( <span class="stringliteral">&quot;PistolSuppressor&quot;</span> );</div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span>        inventory.CreateInInventory( <span class="stringliteral">&quot;FNP45_MRDSOptic&quot;</span> );</div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span>        inventory.CreateInInventory( <span class="stringliteral">&quot;TLRLight&quot;</span> );</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span>        inventory.CreateInInventory( <span class="stringliteral">&quot;Battery9V&quot;</span> );</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span>        inventory.CreateInInventory( <span class="stringliteral">&quot;Battery9V&quot;</span> );</div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span>        </div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span>        SpawnAttachedMagazine(<span class="stringliteral">&quot;Mag_FNX45_15Rnd&quot;</span>);</div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span>    }</div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span>    </div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span>};</div>
<div class="ttc" id="aclass_f_n_x45___base_html"><div class="ttname"><a href="../../de/d71/class_f_n_x45___base.html">FNX45_Base</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d0/dc3/_f_n_x45_8c_source.html#l00001">FNX45.c:2</a></div></div>
<div class="ttc" id="aclass_f_n_x45___base_html_a10e5be43dcc96faf98228c5ff7b8936e"><div class="ttname"><a href="../../de/d71/class_f_n_x45___base.html#a10e5be43dcc96faf98228c5ff7b8936e">FNX45_Base::OnDebugSpawn</a></div><div class="ttdeci">override void OnDebugSpawn()</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/dc3/_f_n_x45_8c_source.html#l00009">FNX45.c:9</a></div></div>
<div class="ttc" id="aclass_f_n_x45___base_html_aaa3cdbe8cbf5fa78c7f4bf4676af2f4d"><div class="ttname"><a href="../../de/d71/class_f_n_x45___base.html#aaa3cdbe8cbf5fa78c7f4bf4676af2f4d">FNX45_Base::SpawnRecoilObject</a></div><div class="ttdeci">override RecoilBase SpawnRecoilObject()</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/dc3/_f_n_x45_8c_source.html#l00003">FNX45.c:3</a></div></div>
<div class="ttc" id="aclass_fnx45_recoil_html"><div class="ttname"><a href="../../db/d3d/class_fnx45_recoil.html">Fnx45Recoil</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d58/_fnx45_recoil_8c_source.html#l00001">Fnx45Recoil.c:2</a></div></div>
<div class="ttc" id="aclass_game_inventory_html"><div class="ttname"><a href="../../dc/d11/class_game_inventory.html">GameInventory</a></div><div class="ttdoc">script counterpart to engine's class Inventory</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/dd3/3___game_2_systems_2_inventory_2_inventory_8c_source.html#l00033">Inventory.c:28</a></div></div>
<div class="ttc" id="aclass_pistol___base_html"><div class="ttname"><a href="../../d2/d5e/class_pistol___base.html">Pistol_Base</a></div><div class="ttdoc">base for semi auto weapons @NOTE name copies config base class</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/dd0/_pistol_alt___base_8c_source.html#l00001">PistolAlt_Base.c:2</a></div></div>
<div class="ttc" id="aclass_recoil_base_html"><div class="ttname"><a href="../../dc/dd0/class_recoil_base.html">RecoilBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d3/dda/_recoil_base_8c_source.html#l00001">RecoilBase.c:2</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_2e5c1ab951ac691cd4fc8c5e713c6c8a.html">4_World</a></li><li class="navelem"><a class="el" href="../../dir_d92b8e0605e989b70f343f78d41d5ad9.html">Entities</a></li><li class="navelem"><a class="el" href="../../dir_76b70e186f3f0441d93c60d5e78b0414.html">Firearms</a></li><li class="navelem"><a class="el" href="../../dir_76a54f3297dfb22ebdc969318446e2b1.html">Pistol</a></li><li class="navelem"><a class="el" href="../../d0/dc3/_f_n_x45_8c.html">FNX45.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
